<html>
	<head>
		<script src="../jquery-2.0.3.min.js"></script>
		<script>
			var wi = 800;
			var hi = 533;
			var refRate = 1000;
			var allSensors = {};
			var allLights=[];
			var allReles=[];
			var light_locations = {
			};
			var rele_locations = {
				0:
				{
					"left":347,
					"top":82
				},
				1:
				{
					"left":297,
					"top":212
				}
			};
			function updateLightLocations()
			{
				var curW = $("#mainImg").width();
				var curH = $("#mainImg").height();
				var offset = $("#mainImg").offset();
				$(".lightImg").each(function(id,field){
					var Iid = $(field).prop("id").split('_')[1];
					var tmpLeft = String(Math.ceil(light_locations[Iid].left*curH/hi)+offset.left)+"px";
					var tmpTop = String(Math.ceil(light_locations[Iid].top*curH/hi)+offset.top)+"px";
					$(field).css("left",tmpLeft);
					$(field).css("top",tmpTop);
					if(getLight(Iid)>0)
						$(field).prop("src","../dozd/img/lights_small_on.png");
					else
						$(field).prop("src","../dozd/img/lights_small_off.png");
						
				});
				$(".releImg").each(function(id,field){
					var Iid = $(field).prop("id").split('_')[1];
					var tmpLeft = String(Math.ceil(rele_locations[Iid].left*curH/hi)+offset.left)+"px";
					var tmpTop = String(Math.ceil(rele_locations[Iid].top*curH/hi)+offset.top)+"px";
					$(field).css("left",tmpLeft);
					$(field).css("top",tmpTop);
					if(getRele(Iid)>0)
						$(field).prop("src","../dozd/img/lights_small_on.png");
					else
						$(field).prop("src","../dozd/img/lights_small_off.png");
				});
			}
			function getLight(id)
			{
				var out = 0;
				for(i in allLights)
					for(j in allLights[i].lights)
						if(id == allLights[i].lights[j].id)
							out = allLights[i].lights[j].value;
				return(out);
			}
			function getLightGroup(id)
			{
				var out = 0;
                                for(i in allLights)
                                        for(j in allLights[i].lights)
                                                if(id == allLights[i].lights[j].id)
                                                        out = i;
				return(out);
			}
			function getRele(id)
			{
				var out = 0;
				for(i in allReles)
					for(j in allReles[i].reles)
						if(id == allReles[i].reles[j].id)
							out = allReles[i].reles[j].value;
				return(out);
			}
			function getReleGroup(id)
			{
				var out = 0;
                                for(i in allReles)
                                        for(j in allReles[i].reles)
                                                if(id == allReles[i].reles[j].id)
                                                        out = i;
				return(out);
			}
			function consol(inp)
			{
				if(typeof LightJSClass == 'undefined')
					console.log(inp);
				else
					LightJSClass.showToast(String(inp));
			}
			function lightClicked(id)
			{
			}
			function releClicked(id)
			{
				LightJSClass.updateRele(id,((getRele(id)==0)?1:0),1);
			}
			function setOnClick()
			{
				$(".lightImg").each(function(id,field){
					$(field).click(function(){
						lightClicked($(field).prop('id').split('_')[1]);
					});
				});
				$(".releImg").each(function(id,field){
					$(field).click(function(){
						releClicked($(field).prop('id').split('_')[1]);
					});
				});
			}
			$(document).ready(function(){
				setTimeout(function(){
					refRate =  LightJSClass.getRefreshRate();
					loadData();
				},300);
				setOnClick();
			});
			function loadData()
			{
				allSensors = {};
				allLights = [];
				allReles = [];
				try
				{
					allSensors = JSON.parse(LightJSClass.getSensors());
					allLights = allSensors.allLights;
					allReles = allSensors.allReles;
					updateLightLocations();
				}
				catch(err)
				{
					var curW = $("#mainImg").width();
					var curH = $("#mainImg").height();
					var offset = $("#mainImg").offset();
					$(".lightImg").each(function(id,field){
						var Iid = $(field).prop("id").split('_')[1];
						var tmpLeft = String(Math.ceil(light_locations[Iid].left*curH/hi)+offset.left)+"px";
						var tmpTop = String(Math.ceil(light_locations[Iid].top*curH/hi)+offset.top)+"px";
						$(field).css("left",tmpLeft);
						$(field).css("top",tmpTop);
					});
					$(".releImg").each(function(id,field){
						var Iid = $(field).prop("id").split('_')[1];
						var tmpLeft = String(Math.ceil(rele_locations[Iid].left*curH/hi)+offset.left)+"px";
						var tmpTop = String(Math.ceil(rele_locations[Iid].top*curH/hi)+offset.top)+"px";
						$(field).css("left",tmpLeft);
						$(field).css("top",tmpTop);
					});
				
				}
				setTimeout("loadData();",refRate);
			}
			$(document).click(function(evt){
			});
		</script>
		<style>
			#naghsheDiv
			{
			}
		</style>
	</head>	
	<body>
		<div align="center">
			<!--<div id="log"></div>-->
			<div id="naghsheDiv">
				<img id="mainImg" src="../dozd/img/dozd_naghshe.jpg" height="100%"/>
				<img id="rele_0" class="releImg" src="../dozd/img/lights_small_off.png" style="position:absolute;left:580px;top:90px;" />
				<img id="rele_1" class="releImg" src="../dozd/img/lights_small_off.png" style="position:absolute;left:530px;top:220px;" />
			</div>
		</div>
	</body>
</html>
